#include "a2.h"

#include <cassert>

namespace freling {

std::vector<BoundingBox> A2(const Frame& frame, const Mask& mask) {
    assert((bool)"Not implemented\n" && false);
    return {};
}

std::vector<BoundingBox> A2(const std::vector<BoundingBox>& regions) {
    std::vector<BoundingBox> updated_boxes(regions.size());
    for (int i = 0, size = regions.size(); i < size; ++i) {
        auto& box = updated_boxes[i];
        const auto& region = regions[i];
        box.x = region.x + 10;
        box.y = region.y + 10;
        box.width = region.width - 20;
        box.height = region.height - 20;
    }
    return updated_boxes;
}

}  // namespace freling
